#!/bin/sh

sudo systemd-tmpfiles --clean
sudo /sbin/e2scrub_all
ifconfig | grep "inet " | grep -v 127\.0\.0\.1

DEFAULT=MicroMPX_Decoder

STARTFILE=$HOME/.start.thimeo
VALUE=`cat $STARTFILE`
RUN=./run.$VALUE.sh

if test -f $RUN; then
    sh $RUN
else
    echo Cannot find $RUN, starting $DEFAULT instead
    echo $DEFAULT > $STARTFILE
    sh ./run.$DEFAULT.sh
fi
